Bug 1470045 - Feature: Support policy-based routing / Separate routing-tables per interfaces/defaultroutes
Feature: Support policy-based routing / Separate routing-tables per interface...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 06:39 EDT by Stefan Neufeind
Modified: 2017-08-16 07:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2017-07-12 06:39:04 EDT
Linux itself supports multiple routing-tables. But the init-scripts don't yet know such a parameter per-interface or for the defaultroutes.

With multiple tables it would be easy to have a server multihomed on two networks and use the correct defaultroute via either interface depending on the ip/interface used.
Comment 1 Stefan Neufeind 2017-07-12 06:39:38 EDT
Random example:
http://www.microhowto.info/howto/ensure_symmetric_routing_on_a_server_with_multiple_default_gateways.html

[...]
The table for eth0 should route traffic via the gateway at 198.51.100.1 if it cannot be delivered directly:

ip route add 198.51.100.0/24 dev eth0 table 1
ip route add default via 198.51.100.1 table 1

whereas the table for eth1 should use the gateway at 203.0.113.1:

ip route add 203.0.113.0/24 dev eth1 table 2
ip route add default via 203.0.113.1 table 2
[...]
Comment 2 Stefan Neufeind 2017-07-12 06:43:34 EDT
I forgot to add to the example of course policy-rules are needed as well (as documented in that howto):
ip rule add from 198.51.100.87/32 table 1 priority 100
ip rule add from 203.0.113.144/32 table 2 priority 110
Comment 3 Jan Kurik 2017-08-15 03:06:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.